Raul::List< T >::iterator Class Reference
Realtime Audio Utility Library

Realtime safe iterator for a List. More...

`#include <List.hpp>`

## Public Member Functions

| iterator (List< T > *const list)
T & | operator* ()
T * | operator-> ()
iterator & | operator++ ()
bool | operator!= (const iterator &iter) const
bool | operator!= (const const_iterator &iter) const
bool | operator== (const iterator &iter) const
bool | operator== (const const_iterator &iter) const

## Friends

class | List< T >
class | List< T >::const_iterator

## Detailed Description

### template<typename T>
class Raul::List< T >::iterator

Realtime safe iterator for a List.

The documentation for this class was generated from the following files:

- List.hpp
- ListImpl.hpp